LongColumn.NumericKind (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.document.column, class: LongColumn, enum: NumericKind

Package org.apache.lucene.document.column

# Enum Class LongColumn.NumericKind

java.lang.Object
java.lang.Enum<LongColumn.NumericKind>
org.apache.lucene.document.column.LongColumn.NumericKind

All Implemented Interfaces:
  `Serializable`, `Comparable<LongColumn.NumericKind>`, `Constable`

Enclosing class:
  `LongColumn`

public static enum LongColumn.NumericKind extends Enum<LongColumn.NumericKind>
The numeric interpretation of the column's long values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  Type of double values.
  `FLOAT`
  Type of float values.
  `INT`
  Type of integer values.
  `LONG`
  Type of long values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LongColumn.NumericKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LongColumn.NumericKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INT

    public static final LongColumn.NumericKind INT
    Type of integer values.

  - ### LONG

    public static final LongColumn.NumericKind LONG
    Type of long values.

  - ### FLOAT

    public static final LongColumn.NumericKind FLOAT
    Type of float values.

  - ### DOUBLE

    public static final LongColumn.NumericKind DOUBLE
    Type of double values.

- ## Method Details

  - ### values

    public static LongColumn.NumericKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LongColumn.NumericKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null